<?php

/*
 * Service d'authentification :
 * - requiert deux paramètres : login et passwd
 * - retourne un flux XML de la forme :
 *      
    <result status="1">
        <user>
            <lastname>Lagaffe</lastname>
            <firstname>Gaston</firstname>
        </user>
    </result> 
 * 
 * 
 * ATTENTION : par simplification côté serveur, un seul couple login/passwd est valide (lagaffe/menfin)
 * 
 */

error_reporting(0);
//error_reporting(E_ALL);

header("Content-Type: text/xml");

$doc = new DOMDocument("1.0", "UTF-8");
$root = $doc->createElement("result");

if (isset($_REQUEST['login']) && isset($_REQUEST['passwd'])) {
    if ($_REQUEST['login'] == "lagaffe") {
        if ($_REQUEST['passwd'] == "menfin") {
            $root->setAttribute("status", 1);
            
            $user = $doc->createElement("user");
            $ls = $doc->createElement("lastname", "Lagaffe");
            $fs = $doc->createElement("firstname", "Gaston");
            
            $user->appendChild($ls);
            $user->appendChild($fs);
            $root->appendChild($user);
            
        } else {
            $root->setAttribute("status", 3);
        }     
    } else {
        $root->setAttribute("status", 2);
    }
} else {
    $root->setAttribute("status", 0);
}

$doc->appendChild($root);
echo $doc->saveXML();

?>
